@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

:root{
--button-bg:#5ac1ff;
--button-text:#fff;
--bg:#07142b;
--bg2:#0b1e3f;
--card:#0f2145;
--card2:#142d5f;
--primary:#4cc9ff;
--secondary:#77e0ff;
--text:#ffffff;
--muted:#a8b7d1;
--border:rgba(255,255,255,.08);
--stats-bg:rgba(255,255,255,.05);
}

*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Poppins',sans-serif;
}

html{
scroll-behavior:smooth;
}

body{

    background:
    linear-gradient(
    180deg,
    var(--bg),
    var(--bg2)
    );

    color:var(--text);

}

/* NAVBAR */

.navbar{

position:sticky;
top:0;
z-index:999;

display:flex;
justify-content:space-between;
align-items:center;

padding:18px 25px;

backdrop-filter:blur(20px);

background:var(--bg2)
;

border-bottom:
1px solid var(--border);

}

.logo{

display:flex;
align-items:center;
gap:12px;

}

.logo img{

width:100px;
height:70px;
border-radius: 80px;
}

.logo h2{

    color:var(--text);

}

.nav-links{
display:flex;
gap:25px;
}

.nav-links a{

color:var(--text);
text-decoration:none;
transition:.3s;

}

.nav-links a:hover{
color:var(--text);
}

/* HERO */

.hero{

max-width:1200px;
margin:auto;

padding:90px 20px;

}

.hero-content{

display:grid;
grid-template-columns:1fr 480px;
gap:50px;
align-items:center;

}

.hero-badge{

display:inline-block;

padding:12px 18px;

border-radius:999px;

color:var(--primary);

border:1px solid
rgba(76,201,255,.2);

background:
rgba(76,201,255,.08);

}

.hero h1{

margin-top:20px;

font-size:68px;
line-height:1.1;

font-weight:800;

}

.hero p{

margin-top:20px;

color:var(--muted);

line-height:1.8;

max-width:600px;

}
.product-image{

    position:relative;

    overflow:hidden;

    border-radius:20px;

}

.product-image img{

    width:100%;

    display:block;

}

.share-icon{

    position:absolute;

    top:12px;

    right:12px;

    width:42px;

    height:42px;

    border:none;

    border-radius:50%;

    background:
    rgba(0,0,0,.6);

    backdrop-filter:blur(10px);

    color:#fff;

    cursor:pointer;

    z-index:10;

}

.share-icon:hover{

    transform:scale(1.1);

}
.hero-buttons{

margin-top:30px;

display:flex;
gap:15px;

}

/* BUTTON */

.btn{

padding:15px 25px;

border-radius:14px;

text-decoration:none;

font-weight:700;

transition:.3s;

}

.btn:hover{
transform:translateY(-3px);
}

.btn-primary{

background:var(--primary);

color:#001321;

}

.btn-outline{

border:2px solid
var(--primary);

color:var(--primary);

}

/* DASHBOARD CARD */

.dashboard-card{

    overflow:hidden;

    padding:0;

    background:none;

    border:none;
    border-radius: 30px;

    box-shadow:
    0 25px 80px rgba(0,0,0,.35);

}

.hero-preview{

    width:100%;

    border-radius:30px;

    display:block;

    animation:
    floating 4s ease-in-out infinite;

}

@keyframes floating{

    0%{
        transform:
        translateY(0px);
    }

    50%{
        transform:
        translateY(-12px);
    }

    100%{
        transform:
        translateY(0px);
    }

}

.dashboard-card h3{

font-size:32px;

}

.dashboard-stats{

display:grid;

grid-template-columns:
repeat(3,1fr);

gap:15px;

margin-top:25px;

}

.dashboard-stats div{
    text-align:center;
    background:var(--stats-bg);
    padding:15px;
    border-radius:15px;
    border:1px solid var(--border);
}

.dashboard-stats h4{

color:var(--primary);

font-size:24px;

}

/* SECTION */

.section{

max-width:1200px;

margin:auto;

padding:60px 20px;

}

.section-title{

font-size:36px;

margin-bottom:25px;

}

/* FEATURES */

.features{

display:grid;

grid-template-columns:
repeat(auto-fit,minmax(250px,1fr));

gap:20px;

}

.feature-card{

background:var(--card);

border:1px solid
var(--border);

border-radius:24px;

padding:25px;

transition:.3s;

}

.feature-card:hover{

transform:translateY(-5px);

}

.feature-card p{

color:var(--muted);

margin-top:10px;

}

/* SEARCH */

.search{

width:100%;

padding:16px;

border:none;

border-radius:15px;

background:var(--card);

color:white;

margin-bottom:25px;

}

/* PRODUCTS */

.products{
    display:grid;
    grid-template-columns:
    repeat(2,1fr);
    gap:15px;
}

.product{
    background:
    linear-gradient(
    180deg,
    var(--card2),
    var(--card)
    );

    border:1px solid var(--border);
    border-radius:25px;
    padding:10px;
    transition:.3s;

    box-shadow:
    0 0 30px rgba(255,80,180,.08);
}

.product:hover{

    transform:translateY(-5px);

    box-shadow:
    0 0 40px rgba(255,80,180,.18);

}

.product-image{

    height:180px;

    border-radius:20px;

    overflow:hidden;

    margin-bottom:15px;

}

.product-image img{

    width:100%;
    height:100%;
    object-fit:cover;

}

.product-top{

    display:flex;
    justify-content:space-between;
    margin-bottom:15px;

}

.badge-game{

    padding:8px 15px;

    border-radius:30px;

    background:
    rgba(255,80,180,.15);

    color:#2ea6ff;

    font-size:13px;

}

.badge-ready{

    padding:8px 15px;

    border-radius:30px;

    background:
    rgba(255,80,180,.15);

    color:#2ea6ff;

    font-size:13px;

}

.product-title{

    font-size:14px;

    font-weight:700;

    line-height:1.4;

}

.product-desc{

    color:#b7c3df;
    font-size: 10px;
    line-height:1.7;

    min-height:70px;

}

.price-label{

    margin-top:20px;

    color:#8ca0c9;

    font-size:13px;

    letter-spacing:2px;

}

.price{

    font-size:18px;

    font-weight:800;

    color:#2ea6ff;

}

.product-buttons{

    display:flex;

    gap:12px;

    margin-top:20px;

}

.buy-btn{

    flex:1;

    border:none;

    border-radius:18px;

    padding:13px;

    background:var(--primary);
    color:var(--button-text);

    font-weight:700;

    cursor:pointer;

}

.nav-actions{

    display:flex;

    gap:12px;

}

.theme-btn,
.menu-btn{

    width:50px;
    height:50px;

    border:none;

    border-radius:50%;

    background:
    var(--bg2);

    color:var(--button-text);

    font-size:22px;

    cursor:pointer;

    border:1px solid
    var(--button-text);

}

.mobile-menu{
    position:fixed;
    top:90px;
    right:-280px;
    width:250px;

    background:
    linear-gradient(
    180deg,
    var(--card2),
    var(--card)
    );

    border-radius:25px;
    padding:20px;
    transition:.3s;
    z-index:999;
    border:1px solid var(--border);
}

.mobile-menu.show{

    right:20px;

}

.mobile-menu a{

    display:block;

    padding:15px;

    color:var(--button-text)

    text-decoration:none;

    border-radius:12px;

}

.mobile-menu a:hover{

    background:
    var(--bg2);

}

.light-mode{

    --bg:#f4f8ff;
    --bg2:#ffffff;

    --card:#ffffff;
    --card2:#eef5ff;

    --text:#111827;
    --muted:#6b7280;
    --button-bg:#5ac1ff;
    --button-text:#000;
    --border:rgba(0,0,0,.08);
    --stats-bg:#eef5ff;

}
.detail-btn{
  flex:1;
  border:1px solid var(--button-bg);
  border-radius:18px;
  padding:13px;
  background:transparent;
  color:var(--button-text); /* ini sudah otomatis ikut tema */
  font-weight:700;
  cursor:pointer;
}

/* LOADING */

.loading-card{

height:330px;

border-radius:25px;

background:
linear-gradient(
90deg,
#102347 25%,
#18356f 50%,
#102347 75%
);

background-size:
200% 100%;

animation:
skeleton 1.2s infinite;

}

@keyframes skeleton{

0%{
    background-position:
    200% 0;
}

100%{
    background-position:
    -200% 0;
}

}

/* TESTI */

@media(max-width:768px){

    .testimoni-grid{

        grid-template-columns:
        repeat(2,1fr);

        gap:12px;

    }

    .testi-image{

        height:150px;

    }

    .testi-title{

        font-size:14px;

    }

    .testi-desc{

        font-size:12px;

    }

}

.testi-card{

    background:var(--card);

    border:1px solid
    rgba(255,255,255,.08);

    border-radius:25px;

    overflow:hidden;

    transition:.3s;

}

.testi-card:hover{

    transform:translateY(-5px);

}

.testi-image{

    position:relative;

    height:220px;

    overflow:hidden;

}

.testi-image img{

    width:100%;

    height:100%;

    object-fit:cover;

}

.testi-top{

    display:flex;

    justify-content:space-between;

    padding:15px 15px 0;

}

.badge-testi{

    background:#173d78;

    color:#7fd7ff;

    padding:6px 12px;

    border-radius:999px;

    font-size:12px;

}

.badge-real{

    background:#0f5132;

    color:#00ff99;

    padding:6px 12px;

    border-radius:999px;

    font-size:12px;

}

.testi-content{

    padding:15px;

}

.testi-title{

    font-size:18px;

    font-weight:700;

    margin-bottom:10px;

}

.testi-desc{

    color:#aaa;

    font-size:14px;

    margin-bottom:15px;

}

.testi-btn{

    width:100%;

    padding:14px;

    border:none;

    border-radius:15px;

    background:#4cc9ff;

    color:#001321;

    font-weight:700;

    cursor:pointer;

}

.testimonials{

display:grid;

grid-template-columns:
repeat(auto-fit,minmax(300px,1fr));

gap:20px;

}

.testi{

background:var(--card);

border-radius:24px;

border:1px solid
var(--border);

padding:25px;

}

.testi p{

color:var(--muted);

line-height:1.8;

}

.testi h4{

margin-top:15px;

}

/* FOOTER */

footer{

text-align:center;

padding:40px;

color:var(--muted);

border-top:
1px solid var(--border);

}

/* MOBILE */

@media(max-width:900px){

.hero-content{

grid-template-columns:1fr;

}

.hero h1{

font-size:46px;

}

.nav-links{

display:none;

}

.hero-buttons{

flex-direction:column;

}

.btn{

text-align:center;

}
}

#editModal{
  display:flex;
  position:fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.7);
  justify-content:center;
  align-items:center;

  opacity:0;
  visibility:hidden;
  transition:0.25s ease;
}

#editModal.show{
  opacity:1;
  visibility:visible;
}

#editModal .modal-box{
  background:
    linear-gradient(
    180deg,
    #08173a,
    #06102a
    );
  backdrop-filter: blur(12px);
  padding:22px;
  border-radius:16px;
  width:340px;
  color:#fff;

  transform:scale(0.8);
  opacity:0;
  transition:0.25s ease;
}

#editModal.show .modal-box{
  transform:scale(1);
  opacity:1;
}
